#include<bits/stdc++.h>
using namespace std;
int n;
double ukupna_zarada,trenutno,tmax;
struct frilenser
{
    int zarada;
    double porez;
};
int cmp(frilenser aa,frilenser bb)
{
    return aa.porez<bb.porez;
}
frilenser fri[200000];
int main()
{
    //freopen("ispistesta1.txt","r",stdin);
    scanf("%d",&n);
    for(int i=1;i<=n;i++)
    {
        scanf("%d %lf",&fri[i].zarada,&fri[i].porez);
        ukupna_zarada+=fri[i].zarada;
    }
    sort(fri+1,fri+n+1,cmp);
    tmax=1.0*ukupna_zarada/100*fri[1].porez;
    for(int i=2;i<=n;i++)
    {
        ukupna_zarada-=fri[i-1].zarada;
        trenutno=1.0*ukupna_zarada/100*fri[i].porez;
        tmax=max(tmax,trenutno);
    }
    printf("%.4f\n",tmax);
    return 0;
}